List record sets
GET
/
cloud-dns
/
rrsets
List record sets
curl --request GET \
--url https://api.aptranet.com/cloud-dns/rrsets \
--header 'Aptranet-Secret: <api-key>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aptranet.com/cloud-dns/rrsets"
headers = {
"Authorization": "Bearer <token>",
"Aptranet-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Aptranet-Secret': '<api-key>'}
};
fetch('https://api.aptranet.com/cloud-dns/rrsets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aptranet.com/cloud-dns/rrsets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Aptranet-Secret", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"zone_info": {
"name": "<string>",
"status": 0,
"id": 123,
"requests": 123,
"hostmaster_email": "jsmith@example.com",
"nx_ttl": 1,
"refresh": 1,
"retry": 1,
"delegation_status": 123,
"created_at": "2023-11-07T05:31:56Z"
},
"rrsets": [
{
"id": 123,
"name": "<string>",
"type": "A",
"ttl": 1,
"updated_at": "2023-11-07T05:31:56Z",
"warning": "<string>",
"meta": {
"failover": {
"protocol": "HTTP",
"port": 32768,
"frequency": 2,
"timeout": 2,
"method": "<string>",
"command": "<string>",
"url": "<string>",
"tls": true,
"regexp": "<string>",
"http_status_code": 349,
"host": "<string>"
},
"geodns_link": "<string>"
},
"pickers": [
{
"type": "geodns",
"limit": 2,
"strict": true
}
]
}
]
}{
"error_code": "<string>",
"error": "<string>",
"error_description": "<string>",
"trace_id": "<string>"
}{
"error_code": "<string>",
"error": "<string>",
"error_description": "<string>",
"trace_id": "<string>"
}{
"error_code": "<string>",
"error": "<string>",
"error_description": "<string>",
"trace_id": "<string>"
}Authorizations
Access key beginning with APTRANET_.
Current secret paired with the access key.
Query Parameters
DNS zone identifier.
Required range:
x >= 1List record sets
curl --request GET \
--url https://api.aptranet.com/cloud-dns/rrsets \
--header 'Aptranet-Secret: <api-key>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aptranet.com/cloud-dns/rrsets"
headers = {
"Authorization": "Bearer <token>",
"Aptranet-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Aptranet-Secret': '<api-key>'}
};
fetch('https://api.aptranet.com/cloud-dns/rrsets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aptranet.com/cloud-dns/rrsets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Aptranet-Secret", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"zone_info": {
"name": "<string>",
"status": 0,
"id": 123,
"requests": 123,
"hostmaster_email": "jsmith@example.com",
"nx_ttl": 1,
"refresh": 1,
"retry": 1,
"delegation_status": 123,
"created_at": "2023-11-07T05:31:56Z"
},
"rrsets": [
{
"id": 123,
"name": "<string>",
"type": "A",
"ttl": 1,
"updated_at": "2023-11-07T05:31:56Z",
"warning": "<string>",
"meta": {
"failover": {
"protocol": "HTTP",
"port": 32768,
"frequency": 2,
"timeout": 2,
"method": "<string>",
"command": "<string>",
"url": "<string>",
"tls": true,
"regexp": "<string>",
"http_status_code": 349,
"host": "<string>"
},
"geodns_link": "<string>"
},
"pickers": [
{
"type": "geodns",
"limit": 2,
"strict": true
}
]
}
]
}{
"error_code": "<string>",
"error": "<string>",
"error_description": "<string>",
"trace_id": "<string>"
}{
"error_code": "<string>",
"error": "<string>",
"error_description": "<string>",
"trace_id": "<string>"
}{
"error_code": "<string>",
"error": "<string>",
"error_description": "<string>",
"trace_id": "<string>"
}